Create user device
curl --request POST \
--url https://admin.snagsolutions.io/api/users/devices \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"ipAddress": "123.456.789.012",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>",
"deviceIdentifier": "<string>"
}
'import requests
url = "https://admin.snagsolutions.io/api/users/devices"
payload = {
"ipAddress": "123.456.789.012",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>",
"deviceIdentifier": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ipAddress: '123.456.789.012',
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
walletAddress: '<string>',
deviceIdentifier: '<string>'
})
};
fetch('https://admin.snagsolutions.io/api/users/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"websiteId": "123e4567-e89b-12d3-a456-426614174001",
"organizationId": "123e4567-e89b-12d3-a456-426614174002",
"ipAddress": "123.456.789.012",
"source": "<string>",
"createdAt": "2023-10-01T12:34:56Z",
"deviceIdentifier": "<string>"
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Identity
Create user device
This endpoint is used to create user devices for fraud tracking
POST
/
api
/
users
/
devices
Create user device
Authorizations
Body
application/json
Body
Response
200
Schema for a user device
Unique identifier for the user device
Example:
"123e4567-e89b-12d3-a456-426614174000"
Unique identifier for the website
Example:
"123e4567-e89b-12d3-a456-426614174001"
Unique identifier for the organization
Example:
"123e4567-e89b-12d3-a456-426614174002"
IP address of the user device
Example:
"123.456.789.012"
Source of the user device
Timestamp when the wallet was created
Example:
"2023-10-01T12:34:56Z"
Device identifier of the user device
Was this page helpful?
⌘I